<?php
/**
 * 品牌获取
 */


defined('InShopNC') or exit('Access Invalid!');

require_once(BASE_ROOT_PATH . '/helper/brand_helper.php');

class brandControl extends mobileHomeControl
{
    public function __construct() {
        parent::__construct();
    }

    public function homeOp()
    {
        $brands = brand_helper::instance()->brandex();
        $blocks = [];
        $blocks[] = $brands['block'];
        return self::outsuccess(array("special_list" => $blocks,'mobile_page' => mobile_page(1)));
    }

    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    public function indexOp()
    {
        $brands = brand_helper::brands();
        return self::outsuccess(array("brands" => $brands));
    }
}
